For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cases (deprecated)

Cases API enables you to retrieve and update case records.

This is an object representing your Case in TransactionLink. You can retrieve it to see the current data of the Case.

Create case

post

Create a case with provided data

Body
firstNamestringOptional

First name

lastNamestringOptional

Last name

personalNumberstringOptional

Personal Number

emailstringOptional

Email

companyNamestringOptional

Company name

companyNumberstringOptional

Company number

companyAddressstringOptional

Company address

Responses
201

Case was created successfully

application/json
createdDatestringRequired

Creation time

caseIdstringRequired

Case Id

partyIdstringRequired

Case id

post/cases
POST /cases HTTP/1.1
Host: api.transactionlink.io
Content-Type: application/json
Accept: */*
Content-Length: 646

{
  "firstName": "Jan",
  "lastName": "Nowak",
  "personalNumber": 17300211234,
  "email": "jn@mail.com",
  "phone": {
    "countryCode": 48,
    "number": 666666666
  },
  "companyName": "Company name",
  "companyNumber": "Company number",
  "companyAddress": "Company address",
  "documents": [
    {
      "resourceId": "20fd5007-008d-447c-8378-6f81ea48fe65",
      "resourceName": "File name.pdf",
      "resourcePath": "resources/e1413f5b-acb0-4995-919a-3fc60c9592c5/20fd5007-008d-447c-8378-6f81ea48fe65/File name.pdf"
    },
    {
      "resourceId": "20fd5007-008d-447c-8378-6f81ea48fe65",
      "resourceName": "File name.pdf",
      "resourcePath": "resources/e1413f5b-acb0-4995-919a-3fc60c9592c5/20fd5007-008d-447c-8378-6f81ea48fe65/File name.pdf"
    }
  ]
}
{
  "createdDate": "text",
  "caseId": "text",
  "partyId": "text",
  "partyDetails": {
    "personal": {
      "firstName": "text",
      "lastName": "text",
      "personalNumber": "text",
      "email": "text",
      "phone": {
        "countryCode": "text",
        "number": "text"
      }
    },
    "business": {
      "companyNumber": "text",
      "companyName": "text",
      "companyAddress": "text"
    },
    "documents": [
      {
        "resourceId": "text",
        "resourceName": "text",
        "resourcePath": "text"
      }
    ]
  }
}

Get case

get

Get a case

Path parameters
caseIdstring · uuidRequired

UUID of the case to get

Header parameters
AcceptstringRequired

Can be 'application/json', 'application/json;version=1' or 'application/json;version=2'

Example: application/json
Responses
200

Returns the case object

createdDatestringRequired

Creation time

caseIdstringRequired

Case Id

partyIdstringRequired

Case id

get/cases/{caseId}
GET /cases/{caseId} HTTP/1.1
Host: api.transactionlink.io
Accept: application/json
{
  "createdDate": "text",
  "caseId": "text",
  "partyId": "text",
  "partyDetails": {
    "personal": {
      "firstName": "text",
      "lastName": "text",
      "personalNumber": "text",
      "email": "text",
      "phone": {
        "countryCode": "text",
        "number": "text"
      }
    },
    "business": {
      "companyNumber": "text",
      "companyName": "text",
      "companyAddress": "text"
    },
    "documents": [
      {
        "resourceId": "text",
        "resourceName": "text",
        "resourcePath": "text"
      }
    ]
  }
}

Last updated